package com.jpsoft.shinestar.modules.business.service;

import java.text.ParseException;
import java.util.Date;
import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.business.entity.MeetingPersonRecode;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MeetingPersonRecodeService {
	MeetingPersonRecode get(String id);
	boolean exist(String id);
	int insert(MeetingPersonRecode model);
	int update(MeetingPersonRecode model);
	int delete(String id);
	List<MeetingPersonRecode> list();
	boolean punchIn(String deviceNo, Long personId, Date recordTime) throws ParseException;
	Page<MeetingPersonRecode> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
//	Page<Map> leaveEarlySearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList);
	Page<Map> meetingRecordPageList(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    Map<String, Object> findByPersonIdAndDate(Long personId, Date attendanceDate);
}